Boomi API Control Plane REST API - Environments
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get environment by ID
Get a single environment.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| agentType required | string Deprecated Enum: "STANDALONE" "MANAGED" Deprecated. |
| color required | string Badge color in UI. |
| displayName required | string Human-readable name of the environment. |
| name required | string Technical name of the environment. |
| pinned required | boolean Pinned for quick access. |
| stage required | string Enum: "DEVELOPMENT" "PRODUCTION" DEVELOPMENT or PRODUCTION. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE or INACTIVE. |
| symbol required | string <= 4 characters Badge label (max 4 chars, e.g. 'P1'). |
| url | string Gateway base URL. |
| platformType | string Gateway platform type. |
| subscribeAccessMode | string Enum: "PUBLIC" "RESTRICTED" Who can subscribe: PUBLIC or RESTRICTED. |
| publishAccessMode | string Enum: "PUBLIC" "RESTRICTED" Who can publish: PUBLIC or RESTRICTED. |
| apiUrlStrategy | string Enum: "PLATFORM_DEFAULT" "PATH" "SUB_DOMAIN" URL routing: PLATFORM_DEFAULT, PATH, or SUB_DOMAIN. |
object (ApiGatewayDTO) The API Gateway instance associated with this environment. | |
object (AgentDTO) Deprecated Deprecated — use gateway.agent. | |
| gatewayId | string Unique id of the connected gateway. Only relevant and available for some platforms. |
| createdAt | string <date-time> Timestamp when the environment was created (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| apiGatewayName | string Set the name for the API gateway that is created for the new environment. If omitted, the API gateway will have the same name as the environment. |
Response samples
- 200
- default
{- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}Update an environment
Update an environment.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: application/jsonrequired
| agentType required | string Deprecated Enum: "STANDALONE" "MANAGED" Deprecated. |
| color required | string Badge color in UI. |
| displayName required | string Human-readable name of the environment. |
| name required | string Technical name of the environment. |
| pinned required | boolean Pinned for quick access. |
| stage required | string Enum: "DEVELOPMENT" "PRODUCTION" DEVELOPMENT or PRODUCTION. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE or INACTIVE. |
| symbol required | string <= 4 characters Badge label (max 4 chars, e.g. 'P1'). |
| url | string Gateway base URL. |
| platformType | string Gateway platform type. |
| subscribeAccessMode | string Enum: "PUBLIC" "RESTRICTED" Who can subscribe: PUBLIC or RESTRICTED. |
| publishAccessMode | string Enum: "PUBLIC" "RESTRICTED" Who can publish: PUBLIC or RESTRICTED. |
| apiUrlStrategy | string Enum: "PLATFORM_DEFAULT" "PATH" "SUB_DOMAIN" URL routing: PLATFORM_DEFAULT, PATH, or SUB_DOMAIN. |
object (ApiGatewayDTO) The API Gateway instance associated with this environment. | |
object (AgentDTO) Deprecated Deprecated — use gateway.agent. | |
| gatewayId | string Unique id of the connected gateway. Only relevant and available for some platforms. |
| createdAt | string <date-time> Timestamp when the environment was created (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| apiGatewayName | string Set the name for the API gateway that is created for the new environment. If omitted, the API gateway will have the same name as the environment. |
Responses
Response Schema: application/json
| agentType required | string Deprecated Enum: "STANDALONE" "MANAGED" Deprecated. |
| color required | string Badge color in UI. |
| displayName required | string Human-readable name of the environment. |
| name required | string Technical name of the environment. |
| pinned required | boolean Pinned for quick access. |
| stage required | string Enum: "DEVELOPMENT" "PRODUCTION" DEVELOPMENT or PRODUCTION. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE or INACTIVE. |
| symbol required | string <= 4 characters Badge label (max 4 chars, e.g. 'P1'). |
| url | string Gateway base URL. |
| platformType | string Gateway platform type. |
| subscribeAccessMode | string Enum: "PUBLIC" "RESTRICTED" Who can subscribe: PUBLIC or RESTRICTED. |
| publishAccessMode | string Enum: "PUBLIC" "RESTRICTED" Who can publish: PUBLIC or RESTRICTED. |
| apiUrlStrategy | string Enum: "PLATFORM_DEFAULT" "PATH" "SUB_DOMAIN" URL routing: PLATFORM_DEFAULT, PATH, or SUB_DOMAIN. |
object (ApiGatewayDTO) The API Gateway instance associated with this environment. | |
object (AgentDTO) Deprecated Deprecated — use gateway.agent. | |
| gatewayId | string Unique id of the connected gateway. Only relevant and available for some platforms. |
| createdAt | string <date-time> Timestamp when the environment was created (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| apiGatewayName | string Set the name for the API gateway that is created for the new environment. If omitted, the API gateway will have the same name as the environment. |
Request samples
- Payload
{- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}Response samples
- 200
- default
{- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}Delete an environment
Delete an environment.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Grant organization subscribe access to an environment
Grant an organization subscribe access in this environment.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| org required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Revoke organization subscribe access from an environment
Remove subscribe access in this environment for an organization.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| org required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Grant organization publish access to an environment
Grant an organization publish access in this environment.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| org required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Revoke organization publish access from an environment
Remove publish access in this environment for an organization.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| org required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}List all environments
Get a filtered and paged list of all environments.
Authorizations:
query Parameters
| text | string |
| name | string |
| status | string Enum: "INACTIVE" "ACTIVE" |
| pinned | boolean |
| stage | string Enum: "DEVELOPMENT" "PRODUCTION" |
| platformType | string |
| apiGateway | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (EnvironmentDTO) List of EnvironmentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Create a new environment
Create a new environment. Note that the new environment does not have an agent token, yet!
Authorizations:
Request Body schema: application/jsonrequired
| agentType required | string Deprecated Enum: "STANDALONE" "MANAGED" Deprecated. |
| color required | string Badge color in UI. |
| displayName required | string Human-readable name of the environment. |
| name required | string Technical name of the environment. |
| pinned required | boolean Pinned for quick access. |
| stage required | string Enum: "DEVELOPMENT" "PRODUCTION" DEVELOPMENT or PRODUCTION. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE or INACTIVE. |
| symbol required | string <= 4 characters Badge label (max 4 chars, e.g. 'P1'). |
| url | string Gateway base URL. |
| platformType | string Gateway platform type. |
| subscribeAccessMode | string Enum: "PUBLIC" "RESTRICTED" Who can subscribe: PUBLIC or RESTRICTED. |
| publishAccessMode | string Enum: "PUBLIC" "RESTRICTED" Who can publish: PUBLIC or RESTRICTED. |
| apiUrlStrategy | string Enum: "PLATFORM_DEFAULT" "PATH" "SUB_DOMAIN" URL routing: PLATFORM_DEFAULT, PATH, or SUB_DOMAIN. |
object (ApiGatewayDTO) The API Gateway instance associated with this environment. | |
object (AgentDTO) Deprecated Deprecated — use gateway.agent. | |
| gatewayId | string Unique id of the connected gateway. Only relevant and available for some platforms. |
| createdAt | string <date-time> Timestamp when the environment was created (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| apiGatewayName | string Set the name for the API gateway that is created for the new environment. If omitted, the API gateway will have the same name as the environment. |
Responses
Response Schema: application/json
| agentType required | string Deprecated Enum: "STANDALONE" "MANAGED" Deprecated. |
| color required | string Badge color in UI. |
| displayName required | string Human-readable name of the environment. |
| name required | string Technical name of the environment. |
| pinned required | boolean Pinned for quick access. |
| stage required | string Enum: "DEVELOPMENT" "PRODUCTION" DEVELOPMENT or PRODUCTION. |
| status required | string Enum: "INACTIVE" "ACTIVE" ACTIVE or INACTIVE. |
| symbol required | string <= 4 characters Badge label (max 4 chars, e.g. 'P1'). |
| url | string Gateway base URL. |
| platformType | string Gateway platform type. |
| subscribeAccessMode | string Enum: "PUBLIC" "RESTRICTED" Who can subscribe: PUBLIC or RESTRICTED. |
| publishAccessMode | string Enum: "PUBLIC" "RESTRICTED" Who can publish: PUBLIC or RESTRICTED. |
| apiUrlStrategy | string Enum: "PLATFORM_DEFAULT" "PATH" "SUB_DOMAIN" URL routing: PLATFORM_DEFAULT, PATH, or SUB_DOMAIN. |
object (ApiGatewayDTO) The API Gateway instance associated with this environment. | |
object (AgentDTO) Deprecated Deprecated — use gateway.agent. | |
| gatewayId | string Unique id of the connected gateway. Only relevant and available for some platforms. |
| createdAt | string <date-time> Timestamp when the environment was created (read-only). |
| id | string <uuid> System-assigned ID (read-only). |
| apiGatewayName | string Set the name for the API gateway that is created for the new environment. If omitted, the API gateway will have the same name as the environment. |
Request samples
- Payload
{- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}Response samples
- 200
- default
{- "name": "gravitee-1",
- "displayName": "Primary Gravitee Environment",
- "symbol": "G1",
- "status": "ACTIVE",
- "color": "blue",
- "pinned": true,
- "stage": "PRODUCTION",
- "platformType": "GRAVITEE",
- "subscribeAccessMode": "PUBLIC",
- "publishAccessMode": "PUBLIC",
- "apiUrlStrategy": "PLATFORM_DEFAULT",
- "gateway": {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}, - "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentType": "STANDALONE",
- "gatewayId": "string",
- "createdAt": "2019-08-24T14:15:22Z",
- "id": 1,
- "apiGatewayName": "string"
}Check if the user can create a new environment
Check if a new (active) environment of a specific type can be created for the current tenant or if the tier limit has been reached.
Authorizations:
Responses
Response Schema: application/json
| canCreateActive required | boolean True if creating a new active resource is allowed within the current tier limits. |
Response samples
- 200
- default
{- "canCreateActive": true
}List organizations with subscribe access
Get all organizations that have subscribe access in this environment.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| text | string |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (OrganizationDTO) List of OrganizationDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "Default Organization",
- "displayName": "Default Organization",
- "email": "max.mustermann@apiida.com",
- "description": "This is very cool Developer Portal",
- "parent": 1,
- "type": "BOTH",
- "status": "ACTIVE",
- "defaultOwner": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "hasImage": false,
- "parentDisplayName": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List organizations available for subscribe access
Get all organizations that may be granted subscribe access in this environment.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| text | string |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (OrganizationDTO) List of OrganizationDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "Default Organization",
- "displayName": "Default Organization",
- "email": "max.mustermann@apiida.com",
- "description": "This is very cool Developer Portal",
- "parent": 1,
- "type": "BOTH",
- "status": "ACTIVE",
- "defaultOwner": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "hasImage": false,
- "parentDisplayName": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List organizations with publish access
Get all organizations that have publish access in this environment.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| text | string |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (OrganizationDTO) List of OrganizationDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "Default Organization",
- "displayName": "Default Organization",
- "email": "max.mustermann@apiida.com",
- "description": "This is very cool Developer Portal",
- "parent": 1,
- "type": "BOTH",
- "status": "ACTIVE",
- "defaultOwner": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "hasImage": false,
- "parentDisplayName": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List organizations available for publish access
Get all organizations that may be granted publish access in this environment.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| text | string |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (OrganizationDTO) List of OrganizationDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "Default Organization",
- "displayName": "Default Organization",
- "email": "max.mustermann@apiida.com",
- "description": "This is very cool Developer Portal",
- "parent": 1,
- "type": "BOTH",
- "status": "ACTIVE",
- "defaultOwner": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "hasImage": false,
- "parentDisplayName": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List subscription deployments in an environment
Get all subscription deployments in an environment.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiProductSubscriptionDeploymentDTO) List of ApiProductSubscriptionDeploymentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "deployedForApiProduct": true,
- "environment": 1,
- "subscription": 1,
- "gatewayId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "lastSuccessfulTask": "DEPLOY",
- "lastFailedTask": "DEPLOY",
- "failureMessage": "what went wrong...",
- "id": 1,
- "apiSubscriptionDeployments": [
- {
- "environment": 1,
- "subscription": 1,
- "api": 1,
- "gatewayId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "lastSuccessfulTask": "DEPLOY",
- "lastFailedTask": "DEPLOY",
- "failureMessage": "what went wrong...",
- "id": 1
}
]
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List plan deployments in an environment
Get all plan deployments in an environment.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiProductPlanDeploymentDTO) List of ApiProductPlanDeploymentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "deployedForApiProduct": true,
- "environment": 1,
- "plan": 1,
- "apiProduct": 1,
- "gatewayId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "lastSuccessfulTask": "DEPLOY",
- "lastFailedTask": "DEPLOY",
- "failureMessage": "description of error",
- "id": 1,
- "apiPlanDeployments": [
- {
- "environment": 1,
- "plan": 1,
- "api": 1,
- "gatewayId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "lastSuccessfulTask": "DEPLOY",
- "lastFailedTask": "DEPLOY",
- "failureMessage": "description of error",
- "id": 1
}
]
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List application deployments in an environment
Get all application deployments in an environment.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApplicationDeploymentDTO) List of ApplicationDeploymentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "apiGateway": 1,
- "environment": 1,
- "application": 1,
- "gatewayId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "lastSuccessfulTask": "DEPLOY",
- "lastFailedTask": "DEPLOY",
- "failureMessage": "what went wrong...",
- "id": 1
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}List API deployments in an environment
Get all API deployments for an environment.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiDeploymentDTO) List of ApiDeploymentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "id": 1,
- "environment": 1,
- "api": 1,
- "gatewayId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "version": 1,
- "apiVersionId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "endpoints": [
- {
- "name": "string",
- "url": "string",
- "gatewayId": "string",
- "authentication": {
- "apiKeys": {
- "requestHeaders": {
- "property1": "string",
- "property2": "string"
}, - "requestParameters": {
- "property1": "string",
- "property2": "string"
}, - "requestBody": {
- "property1": "string",
- "property2": "string"
}, - "requestPath": {
- "property1": "string",
- "property2": "string"
}, - "custom": {
- "property1": "string",
- "property2": "string"
}
}
}
}
], - "authentication": {
- "apiKeys": {
- "requestHeaders": {
- "property1": "string",
- "property2": "string"
}, - "requestParameters": {
- "property1": "string",
- "property2": "string"
}, - "requestBody": {
- "property1": "string",
- "property2": "string"
}, - "requestPath": {
- "property1": "string",
- "property2": "string"
}, - "custom": {
- "property1": "string",
- "property2": "string"
}
}
}, - "apiDeploymentPolicies": [
- {
- "path": "/v1/example",
- "apiPolicyTemplates": [
- {
- "apiPolicyTemplateId": "550e8400-e29b-41d4-a716-446655440000",
- "name": "Rate Limit",
- "version": 1
}
]
}
]
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}